Index: src/other/tcl/CMake/tcl.cmake
===================================================================
--- src/other/tcl/CMake/tcl.cmake	(revision 54114)
+++ src/other/tcl/CMake/tcl.cmake	(working copy)
@@ -686,21 +686,21 @@
 (void) gethostbyaddr_r(addr, length, type, result, buffer, buflen, &resultp, &h_errnop);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYADDR_R_8_SRC}" HAVE_GETHOSTBYADDR_R_8)
-			IF(HAVE_GETHOSTBYADDR_R_8)
-			   ADD_TCL_CFLAG(HAVE_GETHOSTBYADDR_R_8)
-			ENDIF(HAVE_GETHOSTBYADDR_R_8)
-		ENDIF(HAVE_GETHOSTBYADDR_R_7)
-	ENDIF(HAVE_GETHOSTBYADDR_R)
-ENDMACRO(SC_TCL_GETHOSTBYADDR_R)
+			check_c_source_compiles("${HAVE_GETHOSTBYADDR_R_8_SRC}" HAVE_GETHOSTBYADDR_R_8)
+			if(HAVE_GETHOSTBYADDR_R_8)
+			   add_tcl_cflag(HAVE_GETHOSTBYADDR_R_8)
+			endif(HAVE_GETHOSTBYADDR_R_8)
+		endif(HAVE_GETHOSTBYADDR_R_7)
+	endif(HAVE_GETHOSTBYADDR_R)
+endmacro(SC_TCL_GETHOSTBYADDR_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETHOSTBYNAME_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETHOSTBYNAME_R)
-	TCL_CHECK_FUNCTION_EXISTS(gethostbyname_r HAVE_GETHOSTBYNAME_R)
-	IF(HAVE_GETHOSTBYNAME_R)
-		SET(HAVE_GETHOSTBYNAME_R_6_SRC "
+macro(SC_TCL_GETHOSTBYNAME_R)
+	tcl_check_function_exists(gethostbyname_r HAVE_GETHOSTBYNAME_R)
+	if(HAVE_GETHOSTBYNAME_R)
+		set(HAVE_GETHOSTBYNAME_R_6_SRC "
 #include <netdb.h>
 int main(){
 char *name;
@@ -712,11 +712,11 @@
 (void) gethostbyname_r(name, he, buffer, buflen, &res, &h_errnop);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYNAME_R_6_SRC}"  HAVE_GETHOSTBYNAME_R_6)
-		IF(HAVE_GETHOSTBYNAME_R_6)
-			ADD_TCL_CFLAG(HAVE_GETHOSTBYNAME_R_6)
-		ELSE(HAVE_GETHOSTBYNAME_R_6)
-			SET(HAVE_GETHOSTBYNAME_R_5_SRC "
+		check_c_source_compiles("${HAVE_GETHOSTBYNAME_R_6_SRC}"  HAVE_GETHOSTBYNAME_R_6)
+		if(HAVE_GETHOSTBYNAME_R_6)
+			add_tcl_cflag(HAVE_GETHOSTBYNAME_R_6)
+		else(HAVE_GETHOSTBYNAME_R_6)
+			set(HAVE_GETHOSTBYNAME_R_5_SRC "
 #include <netdb.h>
 int main(){
 char *name;
@@ -728,12 +728,12 @@
 (void) gethostbyname_r(name, he, buffer, buflen, &h_errnop);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYNAME_R_5_SRC}"  HAVE_GETHOSTBYNAME_R_5)
+			check_c_source_compiles("${HAVE_GETHOSTBYNAME_R_5_SRC}"  HAVE_GETHOSTBYNAME_R_5)
 
-			IF(HAVE_GETHOSTBYNAME_R_5)
-				ADD_TCL_CFLAG(HAVE_GETHOSTBYNAME_R_5)
-			ELSE(HAVE_GETHOSTBYNAME_R_5)
-				SET(HAVE_GETHOSTBYNAME_R_3_SRC "
+			if(HAVE_GETHOSTBYNAME_R_5)
+				add_tcl_cflag(HAVE_GETHOSTBYNAME_R_5)
+			else(HAVE_GETHOSTBYNAME_R_5)
+				set(HAVE_GETHOSTBYNAME_R_3_SRC "
 #include <netdb.h>
 int main(){
 char *name;
@@ -743,22 +743,22 @@
 (void) gethostbyname_r(name, he, &data);
 return 0;}
 				")
-				CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYNAME_R_3_SRC}" HAVE_GETHOSTBYNAME_R_3)
-				IF(HAVE_GETHOSTBYNAME_R_3)
-					ADD_TCL_CFLAG(HAVE_GETHOSTBYNAME_R_3)
-				ENDIF(HAVE_GETHOSTBYNAME_R_3)
-			ENDIF(HAVE_GETHOSTBYNAME_R_5)
-		ENDIF(HAVE_GETHOSTBYNAME_R_6)
-	ENDIF(HAVE_GETHOSTBYNAME_R)
-ENDMACRO(SC_TCL_GETHOSTBYNAME_R)
+				check_c_source_compiles("${HAVE_GETHOSTBYNAME_R_3_SRC}" HAVE_GETHOSTBYNAME_R_3)
+				if(HAVE_GETHOSTBYNAME_R_3)
+					add_tcl_cflag(HAVE_GETHOSTBYNAME_R_3)
+				endif(HAVE_GETHOSTBYNAME_R_3)
+			endif(HAVE_GETHOSTBYNAME_R_5)
+		endif(HAVE_GETHOSTBYNAME_R_6)
+	endif(HAVE_GETHOSTBYNAME_R)
+endmacro(SC_TCL_GETHOSTBYNAME_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_IPV6
 #--------------------------------------------------------------------
-MACRO(SC_TCL_IPV6)
-	CHECK_FUNCTION_EXISTS(getaddrinfo HAVE_GETADDRINFO)
-	IF(HAVE_GETADDRINFO)
-		SET(GETADDRINFO_SRC "
+macro(SC_TCL_IPV6)
+	check_function_exists(getaddrinfo HAVE_GETADDRINFO)
+	if(HAVE_GETADDRINFO)
+		set(GETADDRINFO_SRC "
 #include <netdb.h>
 int main () {
 const char *name, *port;
@@ -768,20 +768,20 @@
 return 0;
 }
 		")
-		CHECK_C_SOURCE_COMPILES("${GETADDRINFO_SRC}" WORKING_GETADDRINFO)
-		IF(WORKING_GETADDRINFO)
-			ADD_TCL_CFLAG(HAVE_GETADDRINFO)
-		ENDIF(WORKING_GETADDRINFO)
-	ENDIF(HAVE_GETADDRINFO)
-ENDMACRO(SC_TCL_IPV6)
+		check_c_source_compiles("${GETADDRINFO_SRC}" WORKING_GETADDRINFO)
+		if(WORKING_GETADDRINFO)
+			add_tcl_cflag(HAVE_GETADDRINFO)
+		endif(WORKING_GETADDRINFO)
+	endif(HAVE_GETADDRINFO)
+endmacro(SC_TCL_IPV6)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETPWUID_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETPWUID_R)
-	TCL_CHECK_FUNCTION_EXISTS(getpwuid_r HAVE_GETPWUID_R)
-	IF(HAVE_GETPWUID_R)
-		SET(HAVE_GETPWUID_R_5_SRC "
+macro(SC_TCL_GETPWUID_R)
+	tcl_check_function_exists(getpwuid_r HAVE_GETPWUID_R)
+	if(HAVE_GETPWUID_R)
+		set(HAVE_GETPWUID_R_5_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -793,11 +793,11 @@
 (void) getpwuid_r(uid, &pw, buf, buflen, &pwp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETPWUID_R_5_SRC}"  HAVE_GETPWUID_R_5)
-		IF(HAVE_GETPWUID_R_5)
-			ADD_TCL_CFLAG(HAVE_GETPWUID_R_5)
-		ELSE(HAVE_GETPWUID_R_5)
-			SET(HAVE_GETPWUID_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETPWUID_R_5_SRC}"  HAVE_GETPWUID_R_5)
+		if(HAVE_GETPWUID_R_5)
+			add_tcl_cflag(HAVE_GETPWUID_R_5)
+		else(HAVE_GETPWUID_R_5)
+			set(HAVE_GETPWUID_R_4_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -809,21 +809,21 @@
 (void) getpwuid_r(uid, &pw, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETPWUID_R_4_SRC}" HAVE_GETPWUID_R_4)
-			IF(HAVE_GETPWUID_R_4)
-				ADD_TCL_CFLAG(HAVE_GETPWUID_R_4)
-			ENDIF(HAVE_GETPWUID_R_4)
-		ENDIF(HAVE_GETPWUID_R_5)
-	ENDIF(HAVE_GETPWUID_R)
-ENDMACRO(SC_TCL_GETPWUID_R)
+			check_c_source_compiles("${HAVE_GETPWUID_R_4_SRC}" HAVE_GETPWUID_R_4)
+			if(HAVE_GETPWUID_R_4)
+				add_tcl_cflag(HAVE_GETPWUID_R_4)
+			endif(HAVE_GETPWUID_R_4)
+		endif(HAVE_GETPWUID_R_5)
+	endif(HAVE_GETPWUID_R)
+endmacro(SC_TCL_GETPWUID_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETPWNAM_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETPWNAM_R)
-	TCL_CHECK_FUNCTION_EXISTS(getpwnam_r HAVE_GETPWNAM_R)
-	IF(HAVE_GETPWNAM_R)
-		SET(HAVE_GETPWNAM_R_5_SRC "
+macro(SC_TCL_GETPWNAM_R)
+	tcl_check_function_exists(getpwnam_r HAVE_GETPWNAM_R)
+	if(HAVE_GETPWNAM_R)
+		set(HAVE_GETPWNAM_R_5_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -835,11 +835,11 @@
 (void) getpwnam_r(name, &pw, buf, buflen, &pwp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETPWNAM_R_5_SRC}"  HAVE_GETPWNAM_R_5)
-		IF(HAVE_GETPWNAM_R_5)
-			ADD_TCL_CFLAG(HAVE_GETPWNAM_R_5)
-		ELSE(HAVE_GETPWNAM_R_5)
-			SET(HAVE_GETPWNAM_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETPWNAM_R_5_SRC}"  HAVE_GETPWNAM_R_5)
+		if(HAVE_GETPWNAM_R_5)
+			add_tcl_cflag(HAVE_GETPWNAM_R_5)
+		else(HAVE_GETPWNAM_R_5)
+			set(HAVE_GETPWNAM_R_4_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -851,21 +851,21 @@
 (void)getpwnam_r(name, &pw, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETPWNAM_R_4_SRC}" HAVE_GETPWNAM_R_4)
-			IF(HAVE_GETPWNAM_R_4)
-			   ADD_TCL_CFLAG(HAVE_GETPWNAM_R_4)
-			ENDIF(HAVE_GETPWNAM_R_4)
-		ENDIF(HAVE_GETPWNAM_R_5)
-	ENDIF(HAVE_GETPWNAM_R)
-ENDMACRO(SC_TCL_GETPWNAM_R)
+			check_c_source_compiles("${HAVE_GETPWNAM_R_4_SRC}" HAVE_GETPWNAM_R_4)
+			if(HAVE_GETPWNAM_R_4)
+			   add_tcl_cflag(HAVE_GETPWNAM_R_4)
+			endif(HAVE_GETPWNAM_R_4)
+		endif(HAVE_GETPWNAM_R_5)
+	endif(HAVE_GETPWNAM_R)
+endmacro(SC_TCL_GETPWNAM_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETGRGID_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETGRGID_R)
-	TCL_CHECK_FUNCTION_EXISTS(getgrgid_r HAVE_GETGRGID_R)
-	IF(HAVE_GETGRGID_R)
-		SET(HAVE_GETGRGID_R_5_SRC "
+macro(SC_TCL_GETGRGID_R)
+	tcl_check_function_exists(getgrgid_r HAVE_GETGRGID_R)
+	if(HAVE_GETGRGID_R)
+		set(HAVE_GETGRGID_R_5_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -877,11 +877,11 @@
 (void) getgrgid_r(gid, &gr, buf, buflen, &grp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETGRGID_R_5_SRC}"  HAVE_GETGRGID_R_5)
-		IF(HAVE_GETGRGID_R_5)
-			ADD_TCL_CFLAG(HAVE_GETGRGID_R_5)
-		ELSE(HAVE_GETGRGID_R_5)
-			SET(HAVE_GETGRGID_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETGRGID_R_5_SRC}"  HAVE_GETGRGID_R_5)
+		if(HAVE_GETGRGID_R_5)
+			add_tcl_cflag(HAVE_GETGRGID_R_5)
+		else(HAVE_GETGRGID_R_5)
+			set(HAVE_GETGRGID_R_4_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -893,21 +893,21 @@
 (void)getgrgid_r(gid, &gr, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETGRGID_R_4_SRC}" HAVE_GETGRGID_R_4)
-			IF(HAVE_GETGRGID_R_4)
-				ADD_TCL_CFLAG(HAVE_GETGRGID_R_4)
-			ENDIF(HAVE_GETGRGID_R_4)
-		ENDIF(HAVE_GETGRGID_R_5)
-	ENDIF(HAVE_GETGRGID_R)
-ENDMACRO(SC_TCL_GETGRGID_R)
+			check_c_source_compiles("${HAVE_GETGRGID_R_4_SRC}" HAVE_GETGRGID_R_4)
+			if(HAVE_GETGRGID_R_4)
+				add_tcl_cflag(HAVE_GETGRGID_R_4)
+			endif(HAVE_GETGRGID_R_4)
+		endif(HAVE_GETGRGID_R_5)
+	endif(HAVE_GETGRGID_R)
+endmacro(SC_TCL_GETGRGID_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETGRNAM_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETGRNAM_R)
-	TCL_CHECK_FUNCTION_EXISTS(getgrnam_r HAVE_GETGRNAM_R)
-	IF(HAVE_GETGRNAM_R)
-		SET(HAVE_GETGRNAM_R_5_SRC "
+macro(SC_TCL_GETGRNAM_R)
+	tcl_check_function_exists(getgrnam_r HAVE_GETGRNAM_R)
+	if(HAVE_GETGRNAM_R)
+		set(HAVE_GETGRNAM_R_5_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -919,11 +919,11 @@
 (void) getgrnam_r(name, &gr, buf, buflen, &grp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETGRNAM_R_5_SRC}"  HAVE_GETGRNAM_R_5)
-		IF(HAVE_GETGRNAM_R_5)
-			ADD_TCL_CFLAG(HAVE_GETGRNAM_R_5)
-		ELSE(HAVE_GETGRNAM_R_5)
-			SET(HAVE_GETGRNAM_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETGRNAM_R_5_SRC}"  HAVE_GETGRNAM_R_5)
+		if(HAVE_GETGRNAM_R_5)
+			add_tcl_cflag(HAVE_GETGRNAM_R_5)
+		else(HAVE_GETGRNAM_R_5)
+			set(HAVE_GETGRNAM_R_4_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -935,19 +935,19 @@
 (void)getgrnam_r(name, &gr, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETGRNAM_R_4_SRC}" HAVE_GETGRNAM_R_4)
-			IF(HAVE_GETGRNAM_R_4)
-			   ADD_TCL_CFLAG(HAVE_GETGRNAM_R_4)
-			ENDIF(HAVE_GETGRNAM_R_4)
-		ENDIF(HAVE_GETGRNAM_R_5)
-	ENDIF(HAVE_GETGRNAM_R)
-ENDMACRO(SC_TCL_GETGRNAM_R)
+			check_c_source_compiles("${HAVE_GETGRNAM_R_4_SRC}" HAVE_GETGRNAM_R_4)
+			if(HAVE_GETGRNAM_R_4)
+			   add_tcl_cflag(HAVE_GETGRNAM_R_4)
+			endif(HAVE_GETGRNAM_R_4)
+		endif(HAVE_GETGRNAM_R_5)
+	endif(HAVE_GETGRNAM_R)
+endmacro(SC_TCL_GETGRNAM_R)
 
 
 
 
-MACRO(CHECK_FD_SET_IN_TYPES_D)
-	SET(TEST_SRC "
+macro(CHECK_FD_SET_IN_TYPES_D)
+	set(TEST_SRC "
 	#include <sys/types.h>
 	int main ()
 	{
@@ -955,16 +955,16 @@
 	return 0;
 	}
 	")
-	CHECK_C_SOURCE_COMPILES("${TEST_SRC}" FD_SET_IN_TYPES_H)
-ENDMACRO(CHECK_FD_SET_IN_TYPES_D)
+	check_c_source_compiles("${TEST_SRC}" FD_SET_IN_TYPES_H)
+endmacro(CHECK_FD_SET_IN_TYPES_D)
 
-MACRO(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
-	SET(TEST_SRC"
+macro(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
+	set(TEST_SRC"
 	#define MODULE_SCOPE extern __attribute__((__visibility__("hidden")))
 	main(){};
 	")
-	CHECK_C_SOURCE_COMPILES("${TEST_SRC}" COMPILER_SUPPORTS_HIDDEN)
-ENDMACRO(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
+	check_c_source_compiles("${TEST_SRC}" COMPILER_SUPPORTS_HIDDEN)
+endmacro(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
 
 
 
Index: src/other/tcl/CMake/CheckPrototypeExists.cmake
===================================================================
--- src/other/tcl/CMake/CheckPrototypeExists.cmake	(revision 54114)
+++ src/other/tcl/CMake/CheckPrototypeExists.cmake	(working copy)
@@ -57,6 +57,6 @@
   return 0;
 }
 ")
-  CHECK_CXX_SOURCE_COMPILES("${_CHECK_PROTO_EXISTS_SOURCE_CODE}" ${_RESULT})
+  check_cxx_source_compiles("${_CHECK_PROTO_EXISTS_SOURCE_CODE}" ${_RESULT})
 endmacro(CHECK_PROTOTYPE_EXISTS _SYMBOL _HEADER _RESULT)
 
Index: src/other/sqlite3/CMakeLists.txt
===================================================================
--- src/other/sqlite3/CMakeLists.txt	(revision 54114)
+++ src/other/sqlite3/CMakeLists.txt	(working copy)
@@ -20,29 +20,29 @@
 #
 cmake_minimum_required(VERSION 2.8)
 
-PROJECT(sqlite)
+project(sqlite)
 
 find_package(Threads REQUIRED)
-SET(SQLITE_LIBS ${CMAKE_THREAD_LIBS_INIT})
+set(SQLITE_LIBS ${CMAKE_THREAD_LIBS_INIT})
 
 include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   )
 
-IF(NOT LIB_DIR)
-  IF(NOT WIN32)
-    SET(LIB_DIR lib)
-  ELSE(NOT WIN32)
-    SET(LIB_DIR bin)
-  ENDIF(NOT WIN32)
-ENDIF(NOT LIB_DIR)
+if(NOT LIB_DIR)
+  if(NOT WIN32)
+    set(LIB_DIR lib)
+  else(NOT WIN32)
+    set(LIB_DIR bin)
+  endif(NOT WIN32)
+endif(NOT LIB_DIR)
 
 add_definitions(-DBUILD_sqlite)
 
-IF(MSVC)
+if(MSVC)
   add_definitions(-DSQLITE_MAX_TRIGGER_DEPTH=100)
   add_definitions(-DSQLITE_ENABLE_COLUMN_METADATA)
-ENDIF(MSVC)
+endif(MSVC)
 
 add_definitions(-D_REENTRANT=1)
 
@@ -51,17 +51,17 @@
 add_definitions(-DSQLITE_ENABLE_FTS3)
 add_definitions(-DSQLITE_ENABLE_RTREE)
 
-INCLUDE(CheckLibraryExists)
-INCLUDE(${CMAKE_CURRENT_SOURCE_DIR}/CMake/ResolveCompilerPaths.cmake)
-CHECK_LIBRARY_EXISTS(dl dlopen "" HAVE_DL_LIBRARY)
-IF(HAVE_DL_LIBRARY)
-  RESOLVE_LIBRARIES(DL_LIBRARY "-ldl")
-  SET(SQLITE_LIBS ${SQLITE_LIBS} ${DL_LIBRARY})
-ENDIF(HAVE_DL_LIBRARY)
+include(CheckLibraryExists)
+include(${CMAKE_CURRENT_SOURCE_DIR}/CMake/ResolveCompilerPaths.cmake)
+check_library_exists(dl dlopen "" HAVE_DL_LIBRARY)
+if(HAVE_DL_LIBRARY)
+  resolve_libraries(DL_LIBRARY "-ldl")
+  set(SQLITE_LIBS ${SQLITE_LIBS} ${DL_LIBRARY})
+endif(HAVE_DL_LIBRARY)
 
 add_executable(sqlite3 shell.c sqlite3.c)
 target_link_libraries(sqlite3 ${SQLITE_LIBS})
 install(TARGETS sqlite3 DESTINATION bin)
 
 # Tcl bindings
-ADD_SUBDIRECTORY(tcl)
+add_subdirectory(tcl)
Index: src/other/sqlite3/CMake/CheckCSourceRuns.cmake
===================================================================
--- src/other/sqlite3/CMake/CheckCSourceRuns.cmake	(revision 54114)
+++ src/other/sqlite3/CMake/CheckCSourceRuns.cmake	(working copy)
@@ -70,32 +70,32 @@
 # 
 #=============================================================================
 
-MACRO(CHECK_C_SOURCE_RUNS SOURCE VAR)
-  IF("${VAR}" MATCHES "^${VAR}$")
-    SET(MACRO_CHECK_FUNCTION_DEFINITIONS 
+macro(CHECK_C_SOURCE_RUNS SOURCE VAR)
+  if("${VAR}" MATCHES "^${VAR}$")
+    set(MACRO_CHECK_FUNCTION_DEFINITIONS 
       "-D${VAR} ${CMAKE_REQUIRED_FLAGS}")
-    IF(CMAKE_REQUIRED_LIBRARIES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES
+    if(CMAKE_REQUIRED_LIBRARIES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES
         "-DLINK_LIBRARIES:STRING=${CMAKE_REQUIRED_LIBRARIES}")
-    ELSE(CMAKE_REQUIRED_LIBRARIES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES)
-    ENDIF(CMAKE_REQUIRED_LIBRARIES)
-    IF(CMAKE_REQUIRED_INCLUDES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES
+    else(CMAKE_REQUIRED_LIBRARIES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES)
+    endif(CMAKE_REQUIRED_LIBRARIES)
+    if(CMAKE_REQUIRED_INCLUDES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES
         "-DINCLUDE_DIRECTORIES:STRING=${CMAKE_REQUIRED_INCLUDES}")
-    ELSE(CMAKE_REQUIRED_INCLUDES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES)
-    ENDIF(CMAKE_REQUIRED_INCLUDES)
-    IF(EXISTS "${SOURCE}")
-      SET(CHECK_SRC "${SOURCE}")
-    ELSE(EXISTS "${SOURCE}")
-      FILE(WRITE "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c"
+    else(CMAKE_REQUIRED_INCLUDES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES)
+    endif(CMAKE_REQUIRED_INCLUDES)
+    if(EXISTS "${SOURCE}")
+      set(CHECK_SRC "${SOURCE}")
+    else(EXISTS "${SOURCE}")
+      file(WRITE "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c"
         "${SOURCE}\n")
-      SET(CHECK_SRC "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c")
-    ENDIF(EXISTS "${SOURCE}")
+      set(CHECK_SRC "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c")
+    endif(EXISTS "${SOURCE}")
     
-    MESSAGE(STATUS "Performing Test ${VAR}")
-    TRY_RUN(${VAR}_EXITCODE ${VAR}_COMPILED
+    message(STATUS "Performing Test ${VAR}")
+    try_run(${VAR}_EXITCODE ${VAR}_COMPILED
       ${CMAKE_BINARY_DIR}
       ${CHECK_SRC}
       COMPILE_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS}
@@ -105,33 +105,33 @@
       "${CHECK_C_SOURCE_COMPILES_ADD_INCLUDES}"
       COMPILE_OUTPUT_VARIABLE OUTPUT)
     # if it did not compile make the return value fail code of 1
-    IF(NOT ${VAR}_COMPILED)
-      SET(${VAR}_EXITCODE 1)
-    ENDIF(NOT ${VAR}_COMPILED)
+    if(NOT ${VAR}_COMPILED)
+      set(${VAR}_EXITCODE 1)
+    endif(NOT ${VAR}_COMPILED)
     # if the return value was 0 then it worked
-    IF("${${VAR}_EXITCODE}" EQUAL 0)
-      SET(${VAR} 1 CACHE INTERNAL "Test ${VAR}")
-      MESSAGE(STATUS "Performing Test ${VAR} - Success")
-      FILE(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeOutput.log 
+    if("${${VAR}_EXITCODE}" EQUAL 0)
+      set(${VAR} 1 CACHE INTERNAL "Test ${VAR}")
+      message(STATUS "Performing Test ${VAR} - Success")
+      file(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeOutput.log 
         "Performing C SOURCE FILE Test ${VAR} succeded with the following output:\n"
         "${OUTPUT}\n"
         "Return value: ${${VAR}}\n"
         "Source file was:\n${SOURCE}\n")
-    ELSE("${${VAR}_EXITCODE}" EQUAL 0)
-      IF(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
-        SET(${VAR} "${${VAR}_EXITCODE}")
-      ELSE(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
-        SET(${VAR} "" CACHE INTERNAL "Test ${VAR}")
-      ENDIF(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+    else("${${VAR}_EXITCODE}" EQUAL 0)
+      if(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+        set(${VAR} "${${VAR}_EXITCODE}")
+      else(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+        set(${VAR} "" CACHE INTERNAL "Test ${VAR}")
+      endif(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
 
-      MESSAGE(STATUS "Performing Test ${VAR} - Failed")
-      FILE(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeError.log 
+      message(STATUS "Performing Test ${VAR} - Failed")
+      file(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeError.log 
         "Performing C SOURCE FILE Test ${VAR} failed with the following output:\n"
         "${OUTPUT}\n"
         "Return value: ${${VAR}_EXITCODE}\n"
         "Source file was:\n${SOURCE}\n")
 
-    ENDIF("${${VAR}_EXITCODE}" EQUAL 0)
-  ENDIF("${VAR}" MATCHES "^${VAR}$")
-ENDMACRO(CHECK_C_SOURCE_RUNS)
+    endif("${${VAR}_EXITCODE}" EQUAL 0)
+  endif("${VAR}" MATCHES "^${VAR}$")
+endmacro(CHECK_C_SOURCE_RUNS)
 
Index: src/other/sqlite3/tcl/CMakeLists.txt
===================================================================
--- src/other/sqlite3/tcl/CMakeLists.txt	(revision 54114)
+++ src/other/sqlite3/tcl/CMakeLists.txt	(working copy)
@@ -1,5 +1,5 @@
 # Tcl bindings
-SET(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_CURRENT_SOURCE_DIR}/CMake")
+set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_CURRENT_SOURCE_DIR}/CMake")
 include(${CMAKE_CURRENT_SOURCE_DIR}/CMake/tcl.cmake)
 
 # First, get some standard options out of the way - things that are constant
@@ -10,23 +10,23 @@
 add_definitions(-DPACKAGE_BUGREPORT="")
 add_definitions(-DSTDC_HEADERS=1)
 
-TCL_CHECK_INCLUDE_FILE(sys/types.h HAVE_SYS_TYPES_H)
-TCL_CHECK_INCLUDE_FILE(sys/stat.h HAVE_SYS_STAT_H)
-TCL_CHECK_INCLUDE_FILE(sys/fstatfs.h HAVE_SYS_FSTATFS_H)
-IF(NOT HAVE_SYS_FSTATFS_H)
+tcl_check_include_file(sys/types.h HAVE_SYS_TYPES_H)
+tcl_check_include_file(sys/stat.h HAVE_SYS_STAT_H)
+tcl_check_include_file(sys/fstatfs.h HAVE_SYS_FSTATFS_H)
+if(NOT HAVE_SYS_FSTATFS_H)
   add_definitions(-DNO_FSTATFS=1)
-ENDIF(NOT HAVE_SYS_FSTATFS_H)
-TCL_CHECK_INCLUDE_FILE(memory.h HAVE_MEMORY_H)
-TCL_CHECK_INCLUDE_FILE(strings.h HAVE_STRINGS_H)
-TCL_CHECK_INCLUDE_FILE(inttypes.h HAVE_INTTYPES_H)
-TCL_CHECK_INCLUDE_FILE(stdint.h HAVE_STDINT_H)
-TCL_CHECK_INCLUDE_FILE(unistd.h HAVE_UNISTD_H)
-TCL_CHECK_INCLUDE_FILE(values.h HAVE_VALUES_H)
-IF(NOT HAVE_VALUES_H)
+endif(NOT HAVE_SYS_FSTATFS_H)
+tcl_check_include_file(memory.h HAVE_MEMORY_H)
+tcl_check_include_file(strings.h HAVE_STRINGS_H)
+tcl_check_include_file(inttypes.h HAVE_INTTYPES_H)
+tcl_check_include_file(stdint.h HAVE_STDINT_H)
+tcl_check_include_file(unistd.h HAVE_UNISTD_H)
+tcl_check_include_file(values.h HAVE_VALUES_H)
+if(NOT HAVE_VALUES_H)
   add_definitions(-DNO_VALUES_H=1)
-ENDIF(NOT HAVE_VALUES_H)
-TCL_CHECK_INCLUDE_FILE(limits.h HAVE_LIMITS_H)
-TCL_CHECK_INCLUDE_FILE(sys/param.h HAVE_SYS_PARAM_H)
+endif(NOT HAVE_VALUES_H)
+tcl_check_include_file(limits.h HAVE_LIMITS_H)
+tcl_check_include_file(sys/param.h HAVE_SYS_PARAM_H)
 
 add_definitions(-DUSE_THREAD_ALLOC=1)
 add_definitions(-D_THREAD_SAFE=1)
@@ -43,4 +43,4 @@
 	LIBRARY DESTINATION ${LIB_DIR}
 	ARCHIVE DESTINATION ${LIB_DIR})
 
-TCL_PKGINDEX(libtclsqlite3 sqlite3 "3.7.8")
+tcl_pkgindex(libtclsqlite3 sqlite3 "3.7.8")
Index: src/other/sqlite3/tcl/CMake/CheckPrototypeExists.cmake
===================================================================
--- src/other/sqlite3/tcl/CMake/CheckPrototypeExists.cmake	(revision 54114)
+++ src/other/sqlite3/tcl/CMake/CheckPrototypeExists.cmake	(working copy)
@@ -57,6 +57,6 @@
   return 0;
 }
 ")
-  CHECK_CXX_SOURCE_COMPILES("${_CHECK_PROTO_EXISTS_SOURCE_CODE}" ${_RESULT})
+  check_cxx_source_compiles("${_CHECK_PROTO_EXISTS_SOURCE_CODE}" ${_RESULT})
 endmacro(CHECK_PROTOTYPE_EXISTS _SYMBOL _HEADER _RESULT)
 
Index: src/other/sqlite3/tcl/CMake/CheckCSourceRuns.cmake
===================================================================
--- src/other/sqlite3/tcl/CMake/CheckCSourceRuns.cmake	(revision 54114)
+++ src/other/sqlite3/tcl/CMake/CheckCSourceRuns.cmake	(working copy)
@@ -24,32 +24,32 @@
 # (To distribute this file outside of CMake, substitute the full
 #  License text for the above reference.)
 
-MACRO(CHECK_C_SOURCE_RUNS SOURCE VAR)
-  IF("${VAR}" MATCHES "^${VAR}$")
-    SET(MACRO_CHECK_FUNCTION_DEFINITIONS 
+macro(CHECK_C_SOURCE_RUNS SOURCE VAR)
+  if("${VAR}" MATCHES "^${VAR}$")
+    set(MACRO_CHECK_FUNCTION_DEFINITIONS 
       "-D${VAR} ${CMAKE_REQUIRED_FLAGS}")
-    IF(CMAKE_REQUIRED_LIBRARIES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES
+    if(CMAKE_REQUIRED_LIBRARIES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES
         "-DLINK_LIBRARIES:STRING=${CMAKE_REQUIRED_LIBRARIES}")
-    ELSE(CMAKE_REQUIRED_LIBRARIES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES)
-    ENDIF(CMAKE_REQUIRED_LIBRARIES)
-    IF(CMAKE_REQUIRED_INCLUDES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES
+    else(CMAKE_REQUIRED_LIBRARIES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES)
+    endif(CMAKE_REQUIRED_LIBRARIES)
+    if(CMAKE_REQUIRED_INCLUDES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES
         "-DINCLUDE_DIRECTORIES:STRING=${CMAKE_REQUIRED_INCLUDES}")
-    ELSE(CMAKE_REQUIRED_INCLUDES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES)
-    ENDIF(CMAKE_REQUIRED_INCLUDES)
-    IF(EXISTS ${SOURCE})
-      SET(CHECK_SRC ${SOURCE})
-    ELSE(EXISTS ${SOURCE})
-      FILE(WRITE "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c"
+    else(CMAKE_REQUIRED_INCLUDES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES)
+    endif(CMAKE_REQUIRED_INCLUDES)
+    if(EXISTS ${SOURCE})
+      set(CHECK_SRC ${SOURCE})
+    else(EXISTS ${SOURCE})
+      file(WRITE "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c"
         "${SOURCE}\n")
-      SET(CHECK_SRC "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c")
-    ENDIF(EXISTS ${SOURCE})
+      set(CHECK_SRC "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c")
+    endif(EXISTS ${SOURCE})
     
-    MESSAGE(STATUS "Performing Test ${VAR}")
-    TRY_RUN(${VAR}_EXITCODE ${VAR}_COMPILED
+    message(STATUS "Performing Test ${VAR}")
+    try_run(${VAR}_EXITCODE ${VAR}_COMPILED
       ${CMAKE_BINARY_DIR}
       ${CHECK_SRC}
       COMPILE_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS}
@@ -59,33 +59,33 @@
       "${CHECK_C_SOURCE_COMPILES_ADD_INCLUDES}"
       COMPILE_OUTPUT_VARIABLE OUTPUT)
     # if it did not compile make the return value fail code of 1
-    IF(NOT ${VAR}_COMPILED)
-      SET(${VAR}_EXITCODE 1)
-    ENDIF(NOT ${VAR}_COMPILED)
+    if(NOT ${VAR}_COMPILED)
+      set(${VAR}_EXITCODE 1)
+    endif(NOT ${VAR}_COMPILED)
     # if the return value was 0 then it worked
-    IF("${${VAR}_EXITCODE}" EQUAL 0)
-      SET(${VAR} 1 CACHE INTERNAL "Test ${VAR}")
-      MESSAGE(STATUS "Performing Test ${VAR} - Success")
-      FILE(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeOutput.log 
+    if("${${VAR}_EXITCODE}" EQUAL 0)
+      set(${VAR} 1 CACHE INTERNAL "Test ${VAR}")
+      message(STATUS "Performing Test ${VAR} - Success")
+      file(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeOutput.log 
         "Performing C SOURCE FILE Test ${VAR} succeded with the following output:\n"
         "${OUTPUT}\n"
         "Return value: ${${VAR}}\n"
         "Source file was:\n${SOURCE}\n")
-    ELSE("${${VAR}_EXITCODE}" EQUAL 0)
-      IF(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
-        SET(${VAR} "${${VAR}_EXITCODE}")
-      ELSE(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
-        SET(${VAR} "" CACHE INTERNAL "Test ${VAR}")
-      ENDIF(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+    else("${${VAR}_EXITCODE}" EQUAL 0)
+      if(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+        set(${VAR} "${${VAR}_EXITCODE}")
+      else(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+        set(${VAR} "" CACHE INTERNAL "Test ${VAR}")
+      endif(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
 
-      MESSAGE(STATUS "Performing Test ${VAR} - Failed")
-      FILE(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeError.log 
+      message(STATUS "Performing Test ${VAR} - Failed")
+      file(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeError.log 
         "Performing C SOURCE FILE Test ${VAR} failed with the following output:\n"
         "${OUTPUT}\n"
         "Return value: ${${VAR}_EXITCODE}\n"
         "Source file was:\n${SOURCE}\n")
 
-    ENDIF("${${VAR}_EXITCODE}" EQUAL 0)
-  ENDIF("${VAR}" MATCHES "^${VAR}$")
-ENDMACRO(CHECK_C_SOURCE_RUNS)
+    endif("${${VAR}_EXITCODE}" EQUAL 0)
+  endif("${VAR}" MATCHES "^${VAR}$")
+endmacro(CHECK_C_SOURCE_RUNS)
 
